//
//  math_approximations.cpp
//  math_approximations
//  CollisionExample
//
//  Created by andrew on 2.
//  Copyright (c) 2018 ___ALGORITHMIC_BOTANY___. All rights reserved.
//

template <typename Float, typename Integral>
constexpr Float power(Float x, Integral y) {
  // https://www.geeksforgeeks.org/write-a-c-program-to-calculate-powxn/
  static_assert(std::is_floating_point<Float>::value, "");
  static_assert(std::is_integral<Integral>::value, "");
  Float temp;
  if (y == 0)
    return Float(1);
  temp = power(x, y / 2);
  if ((y % 2) == 0) {
    return temp * temp;
  } else {
    if (y > 0)
      return x * temp * temp;
    else
      return (temp * temp) / x;
  }
}
