/**
 * @file	shader_file_io.h
 * @author	Andrew Robert Owens
 * @date 	2018-2-27.
 * @brief	CollisionExample: shader_file_io.h
 * @details Organization: Biological Modeling and Visualization research group
 * University of Calgary, Calgary, AB, Canada
 *
 * Contact:	arowens [at] ucalgary.ca
 * @copyright Copyright (c) 2018 ___ALGORITHMIC_BOTANY___. All rights reserved.
 *
 * @brief
 */

#pragma once

#include <string>

namespace openGL {

std::string loadShaderStringFromFile(std::string const &filePath);

} // namespace openGL
